[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| MeshGridAccessor [Ranges and Points] |

`#include <vigra/meshgrid.hxx>`

List of all members.

## Public Types
typedef TinyVector < Diff2D::MoveX, 2 > | value_type
## Public Member Functions
template<class ITERATOR, class DIFFERENCE>
value_type | operator() (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR>
value_type | operator() (ITERATOR const &i) const

## Detailed Description

Accessor for turning iteration over Diff2D into a mesh grid.

The mesh grid concept is adapted from MATLAB. It is a two banded image (i.e. with 2D vector pixel type) whose first band contains the x-coordinates of the current pixel, and whose second band contains the y-coordinates. See meshGrid() for more detailed documentation.

## Member Typedef Documentation

typedef TinyVector<Diff2D::MoveX, 2> value_type

the value_type of a mesh grid is a 2D vector

The documentation for this struct was generated from the following file:

- vigra/meshgrid.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)